/* Dynamic reports - Free Java reporting library for creating reports dynamically
 *
 * (C) Copyright 2010 Ricardo Mariaca
 *
 * http://dynamicreports.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU Lesser General Public License as published by 
 * the Free Software Foundation; either version 3 of the License, or 
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public 
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, 
 * USA. 
 */
package net.sf.dynamicreports.report.base;

import net.sf.dynamicreports.report.base.component.DRComponent;
import net.sf.dynamicreports.report.base.component.DRList;
import net.sf.dynamicreports.report.constant.Constants;
import net.sf.dynamicreports.report.constant.ListType;
import net.sf.dynamicreports.report.constant.SplitType;
import net.sf.dynamicreports.report.definition.DRIBand;

/**
 * @author Ricardo Mariaca (dynamicreports@gmail.com)
 */
public class DRBand implements DRIBand {
	private static final long serialVersionUID = Constants.SERIAL_VERSION_UID;
	
	private SplitType splitType;
	private DRList list;
	
	public DRBand() {
		this.list = new DRList(ListType.VERTICAL);
	}
	
	public SplitType getSplitType() {
		return splitType;
	}
	
	public void setSplitType(SplitType splitType) {
		this.splitType = splitType;
	}
		
	public DRList getList() {
		return list;
	}
	
	public void addComponent(DRComponent component) {
		list.addComponent(component);
	}
}
